Facebook Google Plus Twitter LinkedIn YouTube RSS Menu Search Resource - BlogResource - WebinarResource - ReportResource - Eventicons_066 icons_067icons_068icons_069icons_070

Atlassian Bitbucket Server 4.x < 4.12.0 Unauthorized Access

Medium

Synopsis

The remote Bitbucket server is affected by an unauthorized access attack vector.

Description

Versions of Bitbucket 4.x, prior to 4.12.0 contain a flaw that is due to the program failing to properly enforce access permission requirements for the Default Reviewer admin page. This may allow an authenticated remote attacker to gain unauthorized access to this page, where they may e.g. add or remove default reviewers.

Solution

Upgrade to Bitbucket version 4.12.0 or later.